use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct LoginRequest {
    pub username: String,
    pub password: String,
}

#[derive(Serialize, Clone, Debug)]
pub struct LoginResult {
    pub success: bool,
    // TODO: Figure out what the user needs on successful login to reduce traffic
}